/**
 * Classe: Mensage
 *         =======
 *
 */
function Mensage()
{
  /**
   *  Propriedades ==========================================================
   */
  this.statusCMD;
  this.root = _getPathUnit("rpcStudio.js");
  this.path = this.root.substr(0, this.root.indexOf('lib_JS') ) + 'core/';

/**
 *  Metodos  ==============================================================
 */
   
/* metodo send  -----------------------------------------------------  */
  this.send = function(txt) {
    var callId = jsrsCall( this.path + "rpcServer.Studio.php",
                           "Mensage._backSend",
                           "MsgServer.get_ajuda",
                           txt,
                           false);
//alert('Texto: '+txt);
  }// End

/* metodo _backSend  ------------------------------------------------  */
  this._backSend = function( text, callId) {
    alert('Back: ' + text);
  }  

/* metodo exeCMD  ---------------------------------------------------  */
  this.exeCMD = function(txt)
  {
    var callId = jsrsCall( "rpcServer.Studio.php",
                           "Mensage._statusCMD",
                           "MsgServer.exec_cmd",
                           txt,
                           false);
  }// End

/**
 *  function _statusCMD()  ------------------------------------------------  //
 */  
  this._statusCMD = function(text, callId) {
    alert( 'ret: ' + text );
  }// End





}// End function Mensage()


var Mensage = new Mensage(); // Pseudo static

